Does not (more) work with "Firefox for NT"5 Rated 1 out of 5 stars

Read NT 5 = Windows 2000, i.e. FireFox 10.0.12esr. I used the "compatibility report" extension more than a year ago to report this bug, but I guess this is yet another excuse for /dev/null, and the ShareMeNot developers never saw it. One star, uninstall, and remove from my favourites.

This review is for a previous version of the add-on (2.3.1).  This user has a previous review of this add-on.